GNU bug report logs - #60906
[PATCH 09/25] gnu: go-github-com-rogpeppe-go-internal: Update to 1.9.0.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:07 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:30 2023
Received: from localhost ([127.0.0.1]:38612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxW5-0007V4-SH
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:60144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxVy-0007Sg-Ok
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:24 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVy-00025C-6A
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:22 -0500
Received: from mail-il1-x129.google.com ([2607:f8b0:4864:20::129])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVw-0006yP-1V
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:21 -0500
Received: by mail-il1-x129.google.com with SMTP id m7so3836783ilh.7
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=4fCYVLDgSQquZaTJN8MLuvhvPxXjBUbMOyfhr9Yc43k=;
 b=cD0ao6r72cn1KOzAgZVW/CPQESK2SvjS1n7Q/Hzj3ZU0nhfGmZr1CHFmbR9CoeXDT1
 ukcY3G8BLn1+d6cIh3vb/AtsBmVnP9ONsTlTT3OLfxiK9SyOtUbmGn1sCiF8u/n5z3A9
 yl/xRNLKgjFOSwSGNAP+iivXmN+xKO4+MhPlOS2gSkhydK7sq4lXnEj04FMRjn4kC32/
 GB1mcKgKgSvZGonD12Z2wVuklldMPFi/7w9hz6Tfg3ssj+B+tIjor7qTpVPUlbY40FPc
 r7GUJ2skvjDKXJOavQxSpSQCHywfb4dJn7c8SkWeiRg79BZly6FwQzJnrsGqwErR2hpy
 CbHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=4fCYVLDgSQquZaTJN8MLuvhvPxXjBUbMOyfhr9Yc43k=;
 b=oWlGB5xbcR3WqzDt+RXAnlJU20SLltZLKUxeyNc/2tTOsMwrd8M3XbJ0VOmyBj88m3
 Cf0I1DwQ39gB5So1rGXflDOkNKBaxgCUO+qeVJycPtl+OhsLM9wzFFn49rMWrIevIEIy
 MSB5d19HXjRyLhZwBVvZW8aT7jcbqY+/lFGdRbWwo+Lm3hsoPS2C3RcPV+/ZsMOoCYOb
 bgP2KDwae/Mx5PnwQveQ+aK0d9XEr7i4p3lo/nuwEO4JMpJEuZxx6f9VtM/qI+2OOApt
 oL90Bnz7/a1kDR7ruJUhY+/64Bw8CYwx6ol7m1L44iYoNu4jaDWt4IFlThk81uFQmzwD
 GXKA==
X-Gm-Message-State: AFqh2ko1Jj/QNL0WhvXzCZwTiy+Hr1HUcoQajpc2yfYHPIQUNSTBzWQS
 QQy5YUH1AGtqSullg0MmRxNdAAyLk1c=
X-Google-Smtp-Source: AMrXdXvBtM6nyqkjLJgjSPBgRD5FzrxB7o/gsjydl4j2agtnzOdGj4g7s8AAC2zVjmSOC+jai/CbPQ==
X-Received: by 2002:a92:da47:0:b0:30c:2dda:3fa8 with SMTP id
 p7-20020a92da47000000b0030c2dda3fa8mr3540323ilq.16.1674006318839; 
 Tue, 17 Jan 2023 17:45:18 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:18 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 09/25] gnu: go-github-com-rogpeppe-go-internal: Update to
 1.9.0.
Date: Tue, 17 Jan 2023 18:44:54 -0700
Message-Id: <20230118014510.19320-10-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::129;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x129.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-github-com-rogpeppe-go-internal): Update to 1.9.0.
---
 gnu/packages/golang.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5e8159975f..240f8ea56c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9104,7 +9104,7 @@ (define-public go-filippo-io-edwards25519
 (define-public go-github-com-rogpeppe-go-internal
   (package
     (name "go-github-com-rogpeppe-go-internal")
-    (version "1.6.1")
+    (version "1.9.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -9113,7 +9113,7 @@ (define-public go-github-com-rogpeppe-go-internal
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "00j2vpp1bsggdvw1winkz23mg0q6drjiir5q0k49pmqx1sh7106l"))))
+                "0bh08k8fy1qcc0vzyv0xkg0sx5kjx348zd1dpjmp3rbrr6xrpaaw"))))
     (build-system go-build-system)
     (arguments
      `(#:import-path "github.com/rogpeppe/go-internal"
@@ -9122,6 +9122,8 @@ (define-public go-github-com-rogpeppe-go-internal
        #:phases
        (modify-phases %standard-phases
          (delete 'build))))
+    (propagated-inputs
+     (list go-github-com-pkg-diff))
     (home-page "https://github.com/rogpeppe/go-internal/")
     (synopsis "Internal packages from the Go standard library")
     (description "This repository factors out an opinionated selection of
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60906; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.